--- src/lib-sieve/plugins/vacation/cmd-vacation.c.orig	2023-02-07 16:09:00.564945000 +0100
+++ src/lib-sieve/plugins/vacation/cmd-vacation.c	2023-02-07 14:52:42.160933000 +0100
@@ -1113,7 +1113,11 @@
 
 	/* Open smtp session */
 
-	sctx = sieve_smtp_start_single(senv, smtp_to, smtp_from, &output);
+ 	struct smtp_address real_to;
+ 	if (smtp_address_init_from_msg(&real_to, &reply_to) >= 0)
+		sctx = sieve_smtp_start_single(senv, &real_to, smtp_from, &output);
+	else
+		sctx = sieve_smtp_start_single(senv, smtp_to, smtp_from, &output);
 
 	outmsgid = sieve_message_get_new_id(eenv->svinst);
 
